%global namedreltag .beta2
%global mavenreltag -beta-2
%global namedversion %{version}%{?namedreltag}
%global mavenversion %{version}%{?mavenreltag}

Name:             jboss-ejb3-ext-api
Version:          2.0.0
Release:          0.1%{namedreltag}%{?dist}
Summary:          JBoss EJB 3 Extension API
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/ejb3

# git clone git://github.com/jbossejb3/jboss-ejb3-ext-api.git
# cd jboss-ejb3-ext-api/ && git archive --format=tar --prefix=jboss-ejb3-ext-api-2.0.0.beta2/ 2.0.0-beta-2 | xz > jboss-ejb3-ext-api-2.0.0.beta2.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jboss-parent

Requires:         jpackage-utils

%description
JBoss EJB 3 API for Bean Providers

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -pm 644 target/%{name}-%{mavenversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc README.md

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Dec 09 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-0.1.beta2
- Initial packaging

